From e1af9dff4fb694aefc3d355c05d41e2752361815 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: May 28 2024 02:19:11 +0000
Subject: [PATCH 164/220] Time to test


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index bd9a486..e229787 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -64,7 +64,7 @@ BuildRequires:  just
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{commit} -p1 -a1
+%autosetup -n cosmic-applibrary-%{commit} -p1 -a1 -a2
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
diff --git a/scripts/bootstrap.sh b/scripts/bootstrap.sh
index 831a01c..0fec750 100644
--- a/scripts/bootstrap.sh
+++ b/scripts/bootstrap.sh
@@ -1,11 +1,25 @@
 #!/bin/bash -x
 
-PACKAGE=
+VENDOR=1
+# Names (Source name can sometimes be the same as name)
+NAME=
+SOURCE_NAME=
+# Version and commit (latest if using master)
 VERSION=0.1.0
-COMMIT=latest
-REPO=https://github.com/pop-os/$PACKAGE
+COMMIT=LATEST
+# Repos
+REPO=https://github.com/pop-os/$SOURCE_NAME
+RPM_REPO=https://pagure.io/forks/ryanabx/fedora-cosmic/cosmic-packaging.git
+# Paths to files
+RPM_FILES=cosmic-packaging/rpms/$SOURCE_NAME/*
+SCRIPT_FILE=srpm.sh
+SCRIPT_DIR=cosmic-packaging/scripts/$SCRIPT_FILE
 
-git clone --recurse-submodules https://pagure.io/forks/ryanabx/fedora-cosmic/cosmic-packaging.git
-cp cosmic-packaging/rpms/$PACKAGE/* .
-cp cosmic-packaging/scripts/vendor-srpm.sh .
-. vendor-srpm.sh $PACKAGE $VERSION $COMMIT $PACKAGE.spec $REPO
\ No newline at end of file
+# Clone the RPM repo
+git clone --recurse-submodules $RPM_REPO
+# Get extra RPM files
+cp $RPM_FILES .
+# Get script file
+cp $SCRIPT_FILE .
+# Run script file
+. $SCRIPT_FILE $PACKAGE $VERSION $COMMIT $REPO $VENDOR
\ No newline at end of file
diff --git a/scripts/srpm.sh b/scripts/srpm.sh
index e6aa1d6..032d6a8 100644
--- a/scripts/srpm.sh
+++ b/scripts/srpm.sh
@@ -1,49 +1,55 @@
 #!/bin/bash -x
 
-# name of the crate/package
-name=$1
-# version of the crate/package
-version=$2
-# commit to target (latest == master)
-commit=$3
-# path to the spec file on the pc
-path_to_spec=$4
-# repo link
-repo=$5
-
-LATEST="latest"
-
-# Clone repo and cd into it
-mkdir $name-$commit && cd $name-$commit && git clone --recurse-submodules $repo .
-
-# Get latest commit hash if commit is set to latest
-if [[ "$commit" == "$LATEST" ]]
+# NAME of the crate/package
+NAME=$1
+SOURCE-NAME=$2
+# VERSION of the crate/package
+VERSION=$3
+# COMMIT to target (latest == master)
+COMMIT=$4
+# REPO link
+REPO=$5
+# VENDOR?
+VENDOR=$6
+
+LATEST="LATEST"
+
+# Clone REPO and cd into it
+mkdir $NAME-$COMMIT && cd $NAME-$COMMIT && git clone --recurse-submodules $REPO .
+
+# Get latest COMMIT hash if COMMIT is set to latest
+if [[ "$COMMIT" == "$LATEST" ]]
 then
-    commit=$(git rev-parse HEAD)
-    cd .. && mv $name-latest $name-$commit && cd $name-$commit
+    COMMIT=$(git rev-parse HEAD)
+    cd .. && mv $NAME-latest $NAME-$COMMIT && cd $NAME-$COMMIT
 fi
 
-# Reset to specified commit
-git reset --hard $commit
-
-# Go back to parent directory
-cd ..
-
-# Zip source
-tar -pcJf $name-$commit.tar.xz $name-$commit
-rm -rf $name-$commit
+# Reset to specified COMMIT
+git reset --hard $COMMIT
+
+if [ "$VENDOR" -eq 1 ]; then
+    echo "VENDOR=1"
+    # Vendor dependencies and zip vendor
+    cargo vendor > ../vendor-config.toml
+    tar -pczf $NAME-$COMMIT-vendor.tar.gz vendor && mv $NAME-$COMMIT-vendor.tar.gz ../$NAME-$COMMIT-vendor.tar.gz
+    # Back into parent directory
+    rm -rf vendor
+    cd ..
+else
+    cd ..
+fi
 
-# Get specfile
-mv $path_to_spec $name.spec 2>/dev/null || :
+# Zip SOURCE
+tar -pczf $NAME-$COMMIT.tar.xz $NAME-$COMMIT
+rm -rf $NAME-$COMMIT
 
 # Make replacements to specfile
-sed -i "/^%global ver / s/.*/%global ver $version/" $name.spec
-sed -i "/^%global commit / s/.*/%global commit $commit/" $name.spec
+sed -i "/^%global ver / s/.*/%global ver $VERSION/" $NAME.spec
+sed -i "/^%global commit / s/.*/%global commit $COMMIT/" $NAME.spec
 current_date=$(date +'%Y%m%d.%H')
-sed -i "/^%global date / s/.*/%global date $current_date/" $name.spec
-
-
-ls -a
-pwd
+sed -i "/^%global date / s/.*/%global date $current_date/" $NAME.spec
 
-echo Done! $1 $2 $3 $4 $5
\ No newline at end of file
+# Should have these sources
+# NAME-COMMIT.tar.gz
+# vendor.tar.gz
+# vendor-config.toml
\ No newline at end of file
